=== debian/changelog ===
python3.6 (3.6.5-3) unstable; urgency=medium

  * Fix library name in the python debug pkgconfig file. Closes: #894498.

 -- Matthias Klose <doko@debian.org>  Sun, 01 Apr 2018 13:46:30 +0800

python3.6 (3.6.5-2) unstable; urgency=medium

  * libpython3.6-stdlib: Add missing python3-distutils breaks. Closes: #894204.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Mar 2018 06:34:57 +0100

python3.6 (3.6.5-1) unstable; urgency=medium

  * Python 3.6.5 release.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Mar 2018 10:08:52 +0800

python3.6 (3.6.5~rc1-3) unstable; urgency=medium

  * libpython3.6-stdlib: Ship again distutils/{__init__,version}.py.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Mar 2018 10:45:39 +0000

python3.6 (3.6.5~rc1-2) unstable; urgency=medium

  * python3.6: Drop dependency on python3-distutils.
  * Fix issue #32305, libregrtest regression when backporting issue #32305.
    Closes: #890621, #890844.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Mar 2018 14:29:58 +0800
