## python3.6 3.6.7~rc1

=== debian/changelog ===
python3.6 (3.6.7~rc1-1) unstable; urgency=medium

  * Python 3.6.7 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Thu, 27 Sep 2018 11:51:25 +0200

python3.6 (3.6.6-4) unstable; urgency=medium

  * Update to 20180901 from the 3.6 branch.
  * Add idle-python3.6 to the autopkg test depends.

 -- Matthias Klose <doko@debian.org>  Sat, 01 Sep 2018 03:05:25 +0200

python3.6 (3.6.6-3) unstable; urgency=medium

  * Update to 20180828 from the 3.6 branch.
  * Disable running some tests which are not ready for Debian's OpenSSL
    defaults (test_{asyncio,ftplib,httplib,imaplib,nntplib,poplib,ssl}).
    Closes: #907215.

 -- Matthias Klose <doko@debian.org>  Tue, 28 Aug 2018 11:10:57 +0200

python3.6 (3.6.6-2) unstable; urgency=medium

  * Update to 20180820 from the 3.6 branch.
  * Avoid usage of distutils in the platform module. See issue #26544.
  * Move test/__main__.py into libpython3.6-stdlib.
  * Pass the list of the pyFPE breaks as a parameter into dpkg-gencontrol
    instead of hard-coding them in the control file.

 -- Matthias Klose <doko@debian.org>  Mon, 20 Aug 2018 18:21:04 +0200

python3.6 (3.6.6-1) unstable; urgency=medium

  * Python 3.6.6 release.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Jun 2018 16:44:17 +0200

python3.6 (3.6.6~rc1-4) unstable; urgency=medium

  * Update to 20180622 from the 3.6 branch.
    - Fix installation of idlelib testsuite.

 -- Matthias Klose <doko@debian.org>  Fri, 22 Jun 2018 10:07:48 +0200

python3.6 (3.6.6~rc1-3) unstable; urgency=medium

  * Update to 20180619 from the 3.6 branch.
  * Let ensurepip work with pip versions 9 or 10. Closes: #901797.
  * pdb(1): Fix pointer to HTML documentation. Closes: #901603.

 -- Matthias Klose <doko@debian.org>  Fri, 15 Jun 2018 12:13:28 +0200

python3.6 (3.6.6~rc1-1) unstable; urgency=medium

  * Python 3.6.6 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Jun 2018 08:59:48 +0200

python3.6 (3.6.5-10) unstable; urgency=medium

  * Update to 20180608 from the 3.6 branch.
  * Update the the sysconfig-debian-schemes patch, not yet applied.
    sysconfig: The 'posix_local' schema name is the default unless the env var
    DEB_PYTHON_INSTALL_LAYOUT is set to 'deb' or 'deb_system'.  Use the latter
    for package buillds.
  * Build cmath as a builtin instead of an extension.
  * Run the test_code_module, test_zipfile tests in the autopkg tests again.
  * Build using GCC 8.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Jun 2018 23:55:12 +0200

python3.6 (3.6.5-9) unstable; urgency=medium

  * python3.6: Add breaks on python3-all (<< 3.6.5~rc1-1),
    python3-dev (<< 3.6.5~rc1-1), python3-venv (<< 3.6.5-2). Closes: #898401.

 -- Matthias Klose <doko@debian.org>  Fri, 11 May 2018 09:30:17 -0400

python3.6 (3.6.5-8) unstable; urgency=medium

  * Fix the lto build for extensions, passing -fPIC to the linker.

 -- Matthias Klose <doko@debian.org>  Mon, 07 May 2018 19:24:55 +0200

python3.6 (3.6.5-6) unstable; urgency=medium

  * Don't inject dpkg's compiler specs into distutils. LP: #1768644.

 -- Matthias Klose <doko@debian.org>  Thu, 03 May 2018 13:49:03 +0200

python3.6 (3.6.5-5) unstable; urgency=medium

  * Fix the lto build on x86_64 architectures.
  * Make the build of the shared modules verbose again.

 -- Matthias Klose <doko@debian.org>  Mon, 30 Apr 2018 15:54:44 +0200

python3.6 (3.6.5-4) unstable; urgency=medium

  * Re-enable pgo/lto builds.

 -- Matthias Klose <doko@debian.org>  Mon, 30 Apr 2018 07:47:20 +0200
