=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,7 @@
 unexport CFLAGS CXXFLAGS LDFLAGS CPPFLAGS
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=-pie
-export DEB_BUILD_MAINT_OPTIONS=hardening=-pie
-DEB_BUILD_MAINT_OPTIONS := hardening=-pie
-export DEB_BUILD_MAINT_OPTIONS
-
-#DEB_MAINT_BUILD_OPTIONS := hardening=-pie
-#export DEB_MAINT_BUILD_OPTIONS
+dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
 
 export SHELL = /bin/bash
 
@@ -90,7 +85,7 @@
 		else echo Unknown; fi)
 
 VER=3.6
-SVER=3.6.4~rc1
+SVER=3.6.5
 NVER=3.7
 PVER=python$(VER)
 EXT_VER=$(subst .,,$(VER))
@@ -155,13 +150,19 @@
 
 CC=$(DEB_HOST_GNU_TYPE)-gcc
 CXX=$(DEB_HOST_GNU_TYPE)-g++
+ifneq (,$(filter $(distrelease),sid buster bionic cosmic))
+  CC=$(DEB_HOST_GNU_TYPE)-gcc-8
+  CXX=$(DEB_HOST_GNU_TYPE)-g++-8
+  bd_gcc = g++-8,
+endif
 
 AR=$(DEB_HOST_GNU_TYPE)-ar
 RANLIB=$(DEB_HOST_GNU_TYPE)-ranlib
 
-DPKG_CPPFLAGS:= $(shell dpkg-buildflags --get CPPFLAGS)
-DPKG_CFLAGS  = $(shell DEB_BUILD_MAINT_OPTIONS=hardening=-pie dpkg-buildflags --get CFLAGS)
-DPKG_LDFLAGS := $(shell DEB_BUILD_MAINT_OPTIONS=hardening=-pie dpkg-buildflags --get LDFLAGS)
+DPKG_CPPFLAGS= $(shell $(dpkg_buildflags) --get CPPFLAGS)
+DPKG_CFLAGS  := $(shell $(dpkg_buildflags) --get CFLAGS)
+DPKG_CFLAGS  := $(subst -fstack-protector-strong,-fstack-protector,$(DPKG_CFLAGS))
+DPKG_LDFLAGS = $(shell $(dpkg_buildflags) --get LDFLAGS)
 OPT_CFLAGS   := $(filter-out -O%,$(DPKG_CFLAGS)) # default is -O3
 DEBUG_CFLAGS := $(patsubst -O%,-Og,$(DPKG_CFLAGS))
 
@@ -202,9 +203,6 @@
     with_pgo =
     with_lto =
 endif
-
-    with_pgo =
-    with_lto =
 
 ifeq ($(with_lto),yes)
     LTO_CFLAGS = -g -flto -fuse-linker-plugin
@@ -218,36 +216,26 @@
     RANLIB=$(DEB_HOST_GNU_TYPE)-gcc-ranlib
 endif
 
+sysconfig_substflags = \
+	-e 's,gcc-8,gcc,;s,g++-8,g++,' \
+	-e '/^OPT/s,-O3,-O2,' \
+	-e 's/-O3/-O2/g;s/$(LTO_CFLAGS)//g' \
+	-e 's/-fprofile-use *-fprofile-correction//g' \
+	-e 's/-fstack-protector /-fstack-protector-strong /g' \
+	-e 's/-specs=[^ ]*//g' \
+	-e 's/-fdebug-prefix-map=[^ ]*//g' \
+	-e 's,^RUNSHARED *=.*,RUNSHARED=,' \
+	-e '/BLDLIBRARY/s/-L\. //'
+
+ifneq ($(with_fpectl),yes)
+  ifeq ($(derivative),Ubuntu)
+    arch_substvars =  '-Vpyfpe:Breaks=$(shell tr '\n' ' ' < debian/pyfpe-breaks.$(derivative))'
+  else ifeq ($(derivative),Debian)
+    arch_substvars =  '-Vpyfpe:Breaks=$(shell tr '\n' ' ' < debian/pyfpe-breaks.$(derivative))'
+  endif
+endif
+
 make_build_target = $(if $(with_pgo),profile-opt)
 
 buildd_static	:= $(CURDIR)/build-static
 buildd_shared	:= $(CURDIR)/build-shared
-buildd_debug	:= $(CURDIR)/build-debug
-buildd_shdebug	:= $(CURDIR)/build-shdebug
-
-d		:= debian/tmp
-scriptdir	=  usr/share/lib/python$(VER)
-scriptdir	=  usr/share/python$(VER)
-scriptdir	=  usr/lib/python$(VER)
-
-# package names and directories
-p_base	:= $(PVER)
-p_min	:= $(PVER)-minimal
-p_lib	:= lib$(PVER)
-p_tk	:= $(PVER)-tk
-p_dev	:= $(PVER)-dev
-p_exam	:= $(PVER)-examples
-p_idle	:= idle-$(PVER)
-p_doc	:= $(PVER)-doc
-p_dbg	:= $(PVER)-dbg
-p_udeb	:= $(PVER)-udeb
-p_venv	:= $(PVER)-venv
-
-p_lbase	:= lib$(PVER)-stdlib
-p_lmin	:= lib$(PVER)-minimal
-p_ldev	:= lib$(PVER)-dev
-p_ldbg	:= lib$(PVER)-dbg
-p_ltst	:= lib$(PVER)-testsuite
-
-d_base	:= debian/$(p_base)
-d_min	:= debian/$(p_min)
