## python3.6 3.6.7

=== debian/changelog ===
python3.6 (3.6.7-1~18.04) bionic-proposed; urgency=medium

  * SRU: LP: #1799206.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Oct 2018 13:32:17 +0200

python3.6 (3.6.7-1) unstable; urgency=medium

  * Python 3.6.7 release.

 -- Matthias Klose <doko@debian.org>  Sun, 21 Oct 2018 10:08:16 +0200

python3.6 (3.6.7~rc2-1) unstable; urgency=medium

  * Python 3.6.7 release candidate 2.

 -- Matthias Klose <doko@debian.org>  Mon, 15 Oct 2018 11:34:57 +0200

python3.6 (3.6.6-1~18.04) bionic-proposed; urgency=medium

  * SRU: LP: #1792143. Update Python 3.6 to the recent subminor release.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Sep 2018 20:26:19 +0200
