## python3.6 3.6.8

=== debian/changelog ===
python3.6 (3.6.8-1~18.10) cosmic-proposed; urgency=medium

  * PPA upload.
  * SRU: LP: #1822993. Update to the 3.6.8 release.
  * d/p/arm-alignment.diff: Don't allow unaligned memory accesses in the
    _sha3 extension (Dave Jones). LP: #1821869. Issue #36515.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Apr 2019 06:59:38 +0200

python3.6 (3.6.8-1) unstable; urgency=medium

  * Python 3.6.8 release.
  * Revert the link optimization changes which appeared after the
    release candidate.

 -- Matthias Klose <doko@debian.org>  Thu, 03 Jan 2019 04:42:36 +0100

python3.6 (3.6.8~rc1-1) unstable; urgency=medium

  * Python 3.6.8 release candidate 1.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Dec 2018 07:12:40 +0100

python3.6 (3.6.7-1~18.10) cosmic-proposed; urgency=medium

  * SRU: LP: #1799206.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Oct 2018 13:32:17 +0200
