## python3.6 3.6.9

=== debian/changelog ===
python3.6 (3.6.9-1~18.04ubuntu1.12) bionic-security; urgency=medium

  * SECURITY UPDATE: Possible Bypass Blocklisting
    - debian/patches/CVE-2023-24329.patch: enforce
      that a scheme must begin with an alphabetical ASCII character
      in Lib/urllib/parse.py, Lib/test/test_urlparse.py.
    - CVE-2023-24329

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Fri, 10 Mar 2023 13:46:00 -0300

python3.6 (3.6.9-1~18.04ubuntu1.10) bionic-security; urgency=medium

  * SECURITY UPDATE: Buffer overflow in SHA3 (Keccak)
    - debian/patches/CVE-2022-37454.patch: fix a buffer overflow in
      Modules/_sha3/kcp/KeccakSponge.inc, Lib/test/test_hashlib.py
     (LP: #1995197).
    - CVE-2022-37454

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 28 Feb 2023 09:55:20 +0000

python3.6 (3.6.9-1~18.04ubuntu1.9) bionic-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2022-45061.patch: fix quadratic time idna decoding
      in Lib/encodings/idna.py, Lib/test/test_codecs.py.
    - CVE-2022-45061

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Fri, 25 Nov 2022 11:10:45 -0300

python3.6 (3.6.9-1~18.04ubuntu1.8) bionic-security; urgency=medium

  * SECURITY UPDATE: Injection Attack
    - debian/patches/CVE-2015-20107.patch: Make mailcap refuse to match unsafe
      filenames/types/param in Lib/mailcap.py, Lib/test/test_mailcap.py.
    - CVE-2015-20107

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 29 Jun 2022 08:45:57 -0300

python3.6 (3.6.9-1~18.04ubuntu1.7) bionic-security; urgency=medium

  * SECURITY UPDATE: Expose sensitive information
    - debian/patches/CVE-2021-3426.patch: remove pydoc getfile feature
      in Lib/pydoc.py, Lib/test/test_pydoc.py.
    - CVE-2021-3426
  * SECURITY UPDATE: Expose sensitive information
    - debian/patches/CVE-2021-4189.patch: alters ftplib.FTP class
      behavior to not trust the IPv4 address sent from the remote
      server when setting up a passive data channel in
      resposne in Lib/ftplib.py, Lib/test/test_ftplib.py.
    - CVE-2021-4189
  * SECURITY UPDATE: Injection Attack
    - debian/patches/CVE-2022-0391.patch: sanitize urls in urllib.parse
      when it containing ASCII newline and tabs in
      Doc/library/urllib.parse.rst, Lib/test/test_urlparse.py,
      Lib/urllib/parse.py.
    - CVE-2022-0391

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 15 Mar 2022 10:55:28 -0300

python3.6 (3.6.9-1~18.04ubuntu1.6) bionic-security; urgency=medium

  * SECURITY UPDATE: Regular Expression Denial of Service
     - debian/patches/CVE-2021-3733.patch: updates a regular expression in the 
       urllib.request.AbstractBasicAuthHandler class which has a quadratic
       worst-case time complexity and could be abused by a malicious HTTP
       server to cause a Denial of Service condition for a client.
     - CVE-2021-3733 
  * SECURITY UPDATE: Denial of Service
     - debian/patches/CVE-2021-3737.patch: addresses the potential for the
       urllib http client to enter into an infinite loop and hang on a 100
       Continue response from a malicious server.
     - debian/patches/CVE-2021-3737_test-fix.patch: improves the regression
       test in Lib/test/test_httplib.py
     - CVE-2021-3737 

 -- Ian Constantin <ian.constantin@canonical.com>  Wed, 08 Dec 2021 16:08:43 -0500

python3.6 (3.6.9-1~18.04ubuntu1.4) bionic-security; urgency=medium

  * SECURITY UPDATE: Code execution from content received via HTTP
    - debian/patches/CVE-2020-27619-3.6.patch: no longer call eval() on
      content received via HTTP in Lib/test/multibytecodec_support.py.
    - CVE-2020-27619
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2021-3177-3.6.patch: replace snprintf with Python unicode
      formatting in ctypes param reprs in Lib/ctypes/test/test_parameters.py,
      Modules/_ctypes/callproc.c.
    - CVE-2021-3177

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 26 Jan 2021 12:33:00 -0300

python3.6 (3.6.9-1~18.04ubuntu1.3) bionic-security; urgency=medium

  * SECURITY UPDATE: CRLF injection
    - debian/patches/CVE-2020-26116.patch: prevent header injection
      in http methods in Lib/httplib.py, Lib/test/test_httlib.py.
    - CVE-2020-26116
  * debian/patches/disabling_test_ttk_guionly.patch: disabling ttk_guionly
    test which is causing a hang for ppc64el build.

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 08 Oct 2020 09:12:24 -0300

python3.6 (3.6.9-1~18.04ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Misleading information
    - debian/patches/CVE-2019-17514.patch: explain that the orderness of the
      of the result is system-dependant in Doc/library/glob.rst.
    - CVE-2019-17514
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2019-9674.patch: add pitfalls to
      zipfile module doc in Doc/library/zipfile.rst,
      Misc/NEWS.d/next/Documentation/2019-06-04-09-29-00.bpo-36260.WrGuc-.rst.
    - CVE-2019-9674
  * SECURITY UPDATE: Infinite loop
    - debian/patches/CVE-2019-20907.patch: avoid infinite loop in the
      tarfile module in Lib/tarfile.py, Lib/test/test_tarfile.py and add
      Lib/test/recursion.tar binary for test.
    - CVE-2019-20907
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2020-14422.patch: Resolve hash collisions for
      IPv4Interface and IPv6Interface in Lib/ipaddress.py,
      Lib/test/test_ipaddress.py.
    - CVE-2020-14422

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 17 Jul 2020 09:50:27 -0300

python3.6 (3.6.9-1~18.04ubuntu1) bionic-security; urgency=medium

  * SECURITY UPDATE: CRLF injection
    - debian/patches/CVE-2019-18348.patch: disallow control characters
      in hostnames in http.client in Lib/http/client.py, Lib/test/test_urllib.py.
    - CVE-2019-18348
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2020-8492.patch: fix the regex to prevent

