=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
   net-tools, xvfb, xauth
 Build-Depends-Indep: python3-sphinx, texinfo
 Standards-Version: 4.2.1
-Vcs-Browser: https://code.launchpad.net/~doko/python/pkg3.6-debian
-Vcs-Bzr: http://bazaar.launchpad.net/~doko/python/pkg3.6-debian
+Vcs-Browser: https://salsa.debian.org/cpython-team/python3/tree/python3.6
+Vcs-Git: https://salsa.debian.org/cpython-team/python3.git -b python3.6
 XS-Testsuite: autopkgtest
 
 Package: python3.6
